[data-component-id="incmty:logos_partners"] {
  padding: 48px 16px;
  background-color: var(--bg-color);

  [data-component-id="incmty:headings"] {
    margin-bottom: 0;
  }

  .headings__title.h6 {
    font-size: 12px;
    font-weight: 900;
    color: var(--heading-color);
    text-align: center;
    line-height: 18px;
  }

  .headings__subtitle {
    font-size: 26px;
    line-height: 32px;
    text-align: center;
  }

  .logos-partners__container {
    display: grid;
    gap: 24px;

    & .headings__description {
      text-align: center;
      font-size: 16px;
      line-height: 22px;
    }

    & .field--name-field-logos-columns {
      display: flex;
      flex-direction: column;
      width: 100%;
      align-items: center;
      justify-content: center;
      gap: 24px;
    }

    &
      .paragraph--type--logos-partners-column
      .field--name-field-formatted-title {
      text-align: center;
    }

    & .field--name-field-formatted-title {
      padding-bottom: 24px;
    }

    & .field--name-field-logos .field__item {
      width: fit-content;
      max-width: 142px;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;

      img {
        max-height: 40px;
        object-fit: contain;
      }

      svg {
        height: 40px;
      }
    }

    & .field--name-field-logos {
      display: flex;
      gap: 32px;
      align-items: center;
      justify-content: center;
      flex-wrap: wrap;
    }
    & .logo-partner__enlace-item a:focus {
      box-shadow: none;
    }
  }
}

@media screen and (min-width: 1023px) {
  [data-component-id="incmty:logos_partners"] {
    padding: 96px;

    .logos-partners__container {
      margin: auto;
      gap: 48px;

      & .headings__subtitle {
        font-size: 48px;
        line-height: 52px;
        text-align: center;
      }

      & .paragraph--type--logos-partners-row {
        + .paragraph--type--logos-partners-row {
          margin-top: 24px;
        }
      }

      & .field--name-field-logos-columns {
        display: flex;
        flex-direction: row;
        width: 100%;
        align-items: flex-start;
        justify-content: center;
        gap: 32px;
      }

      & .field--name-field-logos-columns > .field__item {
        width: 100%;
      }

      & .field--name-field-formatted-title {
        padding-bottom: 32px;
      }
    }
  }
}

@media screen and (min-width: 1280px) {
  [data-component-id="incmty:logos_partners"] {
    .logos-partners__container {
    }
  }
}
